package org.wfc.omada.api.sitesetting.model;

import com.fasterxml.jackson.annotation.JsonProperty;
import io.swagger.annotations.ApiModelProperty;

import javax.validation.Valid;
import java.util.Objects;

/**
 * CallBlockingProfileEntity
 */
@javax.annotation.Generated(value = "org.openapitools.codegen.languages.SpringCodegen", date = "2024-12-04T11:32:19.054+08:00[Asia/Shanghai]")

public class CallBlockingProfileEntity   {
  @JsonProperty("profileId")
  private String profileId;

  @JsonProperty("omadacId")
  private String omadacId;

  @JsonProperty("siteId")
  private String siteId;

  @JsonProperty("profileName")
  private String profileName;

  @JsonProperty("incomingCallsBlockingEnable")
  private Boolean incomingCallsBlockingEnable;

  @JsonProperty("incomingCallsBlocking")
  private IncomingCallsBlockingVo incomingCallsBlocking;

  @JsonProperty("outgoingCallsBlockingEnable")
  private Boolean outgoingCallsBlockingEnable;

  @JsonProperty("outgoingCallsBlocking")
  private OutgoingCallsBlockingVo outgoingCallsBlocking;

  public CallBlockingProfileEntity profileId(String profileId) {
    this.profileId = profileId;
    return this;
  }

  /**
   * Call blocking profile ID
   * @return profileId
  */
  @ApiModelProperty(value = "Call blocking profile ID")


  public String getProfileId() {
    return profileId;
  }

  public void setProfileId(String profileId) {
    this.profileId = profileId;
  }

  public CallBlockingProfileEntity omadacId(String omadacId) {
    this.omadacId = omadacId;
    return this;
  }

  /**
   * Omadac ID
   * @return omadacId
  */
  @ApiModelProperty(value = "Omadac ID")


  public String getOmadacId() {
    return omadacId;
  }

  public void setOmadacId(String omadacId) {
    this.omadacId = omadacId;
  }

  public CallBlockingProfileEntity siteId(String siteId) {
    this.siteId = siteId;
    return this;
  }

  /**
   * Site ID
   * @return siteId
  */
  @ApiModelProperty(value = "Site ID")


  public String getSiteId() {
    return siteId;
  }

  public void setSiteId(String siteId) {
    this.siteId = siteId;
  }

  public CallBlockingProfileEntity profileName(String profileName) {
    this.profileName = profileName;
    return this;
  }

  /**
   * Call blocking profile name
   * @return profileName
  */
  @ApiModelProperty(value = "Call blocking profile name")


  public String getProfileName() {
    return profileName;
  }

  public void setProfileName(String profileName) {
    this.profileName = profileName;
  }

  public CallBlockingProfileEntity incomingCallsBlockingEnable(Boolean incomingCallsBlockingEnable) {
    this.incomingCallsBlockingEnable = incomingCallsBlockingEnable;
    return this;
  }

  /**
   * Enable incoming calls blocking or not.
   * @return incomingCallsBlockingEnable
  */
  @ApiModelProperty(value = "Enable incoming calls blocking or not.")


  public Boolean getIncomingCallsBlockingEnable() {
    return incomingCallsBlockingEnable;
  }

  public void setIncomingCallsBlockingEnable(Boolean incomingCallsBlockingEnable) {
    this.incomingCallsBlockingEnable = incomingCallsBlockingEnable;
  }

  public CallBlockingProfileEntity incomingCallsBlocking(IncomingCallsBlockingVo incomingCallsBlocking) {
    this.incomingCallsBlocking = incomingCallsBlocking;
    return this;
  }

  /**
   * Get incomingCallsBlocking
   * @return incomingCallsBlocking
  */
  @ApiModelProperty(value = "")

  @Valid

  public IncomingCallsBlockingVo getIncomingCallsBlocking() {
    return incomingCallsBlocking;
  }

  public void setIncomingCallsBlocking(IncomingCallsBlockingVo incomingCallsBlocking) {
    this.incomingCallsBlocking = incomingCallsBlocking;
  }

  public CallBlockingProfileEntity outgoingCallsBlockingEnable(Boolean outgoingCallsBlockingEnable) {
    this.outgoingCallsBlockingEnable = outgoingCallsBlockingEnable;
    return this;
  }

  /**
   * Enable outgoing calls blocking or not.
   * @return outgoingCallsBlockingEnable
  */
  @ApiModelProperty(value = "Enable outgoing calls blocking or not.")


  public Boolean getOutgoingCallsBlockingEnable() {
    return outgoingCallsBlockingEnable;
  }

  public void setOutgoingCallsBlockingEnable(Boolean outgoingCallsBlockingEnable) {
    this.outgoingCallsBlockingEnable = outgoingCallsBlockingEnable;
  }

  public CallBlockingProfileEntity outgoingCallsBlocking(OutgoingCallsBlockingVo outgoingCallsBlocking) {
    this.outgoingCallsBlocking = outgoingCallsBlocking;
    return this;
  }

  /**
   * Get outgoingCallsBlocking
   * @return outgoingCallsBlocking
  */
  @ApiModelProperty(value = "")

  @Valid

  public OutgoingCallsBlockingVo getOutgoingCallsBlocking() {
    return outgoingCallsBlocking;
  }

  public void setOutgoingCallsBlocking(OutgoingCallsBlockingVo outgoingCallsBlocking) {
    this.outgoingCallsBlocking = outgoingCallsBlocking;
  }


  @Override
  public boolean equals(Object o) {
    if (this == o) {
      return true;
    }
    if (o == null || getClass() != o.getClass()) {
      return false;
    }
    CallBlockingProfileEntity callBlockingProfileEntity = (CallBlockingProfileEntity) o;
    return Objects.equals(this.profileId, callBlockingProfileEntity.profileId) &&
        Objects.equals(this.omadacId, callBlockingProfileEntity.omadacId) &&
        Objects.equals(this.siteId, callBlockingProfileEntity.siteId) &&
        Objects.equals(this.profileName, callBlockingProfileEntity.profileName) &&
        Objects.equals(this.incomingCallsBlockingEnable, callBlockingProfileEntity.incomingCallsBlockingEnable) &&
        Objects.equals(this.incomingCallsBlocking, callBlockingProfileEntity.incomingCallsBlocking) &&
        Objects.equals(this.outgoingCallsBlockingEnable, callBlockingProfileEntity.outgoingCallsBlockingEnable) &&
        Objects.equals(this.outgoingCallsBlocking, callBlockingProfileEntity.outgoingCallsBlocking);
  }

  @Override
  public int hashCode() {
    return Objects.hash(profileId, omadacId, siteId, profileName, incomingCallsBlockingEnable, incomingCallsBlocking, outgoingCallsBlockingEnable, outgoingCallsBlocking);
  }

  @Override
  public String toString() {
    StringBuilder sb = new StringBuilder();
    sb.append("class CallBlockingProfileEntity {\n");
    
    sb.append("    profileId: ").append(toIndentedString(profileId)).append("\n");
    sb.append("    omadacId: ").append(toIndentedString(omadacId)).append("\n");
    sb.append("    siteId: ").append(toIndentedString(siteId)).append("\n");
    sb.append("    profileName: ").append(toIndentedString(profileName)).append("\n");
    sb.append("    incomingCallsBlockingEnable: ").append(toIndentedString(incomingCallsBlockingEnable)).append("\n");
    sb.append("    incomingCallsBlocking: ").append(toIndentedString(incomingCallsBlocking)).append("\n");
    sb.append("    outgoingCallsBlockingEnable: ").append(toIndentedString(outgoingCallsBlockingEnable)).append("\n");
    sb.append("    outgoingCallsBlocking: ").append(toIndentedString(outgoingCallsBlocking)).append("\n");
    sb.append("}");
    return sb.toString();
  }

  /**
   * Convert the given object to string with each line indented by 4 spaces
   * (except the first line).
   */
  private String toIndentedString(Object o) {
    if (o == null) {
      return "null";
    }
    return o.toString().replace("\n", "\n    ");
  }
}

